extend("ahhp:hero_with_models");

var utils = implement("fiskheroes:external/utils");
var models_stuff = implement("ahhp:external/model_stuff");

loadTextures({
    "model": "ahhp:kid_flash_yj_model"
});

function init(renderer) {
    parent.init(renderer);
    renderer.showModel("HELMET", "head", "headwear");
    renderer.showModel("LEGGINGS", "rightLeg", "leftLeg");
    renderer.showModel("CHESTPLATE", "body", "rightArm", "leftArm");
    renderer.fixHatLayer("HELMET");
    initEffects(renderer);
}

function initEffects(renderer) {
    models_stuff.setOpacityWithoutMask(renderer);
    models = models_stuff.basicModels(renderer, "kid_flash_yj");
    models_stuff.bindSpeedingTrail(renderer, "ahhp:kid_flash");
}

function render(entity, renderLayer, isFirstPersonArm) {
    models.render(entity, renderLayer);
}
